org.apache.xerces.parsers

## Class IntegratedParserConfiguration

- java.lang.Object
- - org.apache.xerces.util.ParserConfigurationSettings
  - - org.apache.xerces.parsers.BasicParserConfiguration
    - - org.apache.xerces.parsers.DTDConfiguration
      - - org.apache.xerces.parsers.StandardParserConfiguration
        - - org.apache.xerces.parsers.IntegratedParserConfiguration

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.xni.parser.XMLPullParserConfiguration

    public class IntegratedParserConfiguration
    extends StandardParserConfiguration

This is configuration uses a scanner that integrates both scanning of the document and binding namespaces. If namespace feature is turned on, the pipeline is constructured with the following components: XMLNSDocumentScannerImpl -> XMLNSDTDValidator -> (optional) XMLSchemaValidator If the namespace feature is turned off the default document scanner implementation is used (XMLDocumentScannerImpl).

In addition to the features and properties recognized by the base parser configuration, this class recognizes these additional features and properties:

- Features
  - http://apache.org/xml/features/validation/schema
  - http://apache.org/xml/features/validation/schema-full-checking
  - http://apache.org/xml/features/validation/schema/normalized-value
  - http://apache.org/xml/features/validation/schema/element-default
- Properties
  - http://apache.org/xml/properties/internal/error-reporter
  - http://apache.org/xml/properties/internal/entity-manager
  - http://apache.org/xml/properties/internal/document-scanner
  - http://apache.org/xml/properties/internal/dtd-scanner
  - http://apache.org/xml/properties/internal/grammar-pool
  - http://apache.org/xml/properties/internal/validator/dtd
  - http://apache.org/xml/properties/internal/datatype-validator-factory

Version:
  $Id: IntegratedParserConfiguration.java 447239 2006-09-18 05:08:26Z mrglavas $
Author:
  Elena Litani, IBM

### Field Summary

Fields
`protected XMLNSDocumentScannerImpl` `fNamespaceScanner` Document scanner that does namespace binding.
`protected XMLDTDValidator` `fNonNSDTDValidator` DTD Validator that does not bind namespaces
`protected XMLDocumentScannerImpl` `fNonNSScanner` Default Xerces implementation of scanner

### Fields inherited from class org.apache.xerces.parsers.StandardParserConfiguration

`fSchemaValidator, GENERATE_SYNTHETIC_ANNOTATIONS, HONOUR_ALL_SCHEMALOCATIONS, ID_IDREF_CHECKING, IDENTITY_CONSTRAINT_CHECKING, IGNORE_XSI_TYPE, NAMESPACE_GROWTH, NORMALIZE_DATA, ROOT_ELEMENT_DECL, ROOT_TYPE_DEF, SCHEMA_AUGMENT_PSVI, SCHEMA_DV_FACTORY, SCHEMA_ELEMENT_DEFAULT, SCHEMA_LOCATION, SCHEMA_NONS_LOCATION, SCHEMA_VALIDATOR, TOLERATE_DUPLICATES, UNPARSED_ENTITY_CHECKING, VALIDATE_ANNOTATIONS, XMLSCHEMA_FULL_CHECKING, XMLSCHEMA_VALIDATION`

### Fields inherited from class org.apache.xerces.parsers.DTDConfiguration

`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ERROR_REPORTER, fDatatypeValidatorFactory, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLocator, fNamespaceBinder, fParseInProgress, fScanner, fValidationManager, JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, LOAD_EXTERNAL_DTD, LOCALE, NAMESPACE_BINDER, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, PRINT_EXCEPTION_STACK_TRACE, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XMLGRAMMAR_POOL`

### Fields inherited from class org.apache.xerces.parsers.BasicParserConfiguration

`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

### Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings

`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

### Constructor Summary

Constructors
Constructor and Description
`IntegratedParserConfiguration()` Default constructor.
`IntegratedParserConfiguration(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`IntegratedParserConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
`IntegratedParserConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `configurePipeline()` Configures the pipeline.
`protected org.apache.xerces.xni.parser.XMLDocumentScanner` `createDocumentScanner()` Create a document scanner: this scanner performs namespace binding
`protected XMLDTDValidator` `createDTDValidator()` Create a DTD validator: this validator performs namespace binding.

### Methods inherited from class org.apache.xerces.parsers.StandardParserConfiguration

`checkFeature, checkProperty`

### Methods inherited from class org.apache.xerces.parsers.DTDConfiguration

`cleanup, configureDTDPipeline, createDatatypeValidatorFactory, createDTDProcessor, createDTDScanner, createEntityManager, createErrorReporter, createNamespaceBinder, createValidationManager, getProperty, parse, parse, reset, setInputSource, setLocale, setProperty`

### Methods inherited from class org.apache.xerces.parsers.BasicParserConfiguration

`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature`

### Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings

`addRecognizedFeatures, addRecognizedProperties, getFeature`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration

`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature`

### Field Detail

#### fNamespaceScanner

    protected XMLNSDocumentScannerImpl fNamespaceScanner

Document scanner that does namespace binding.

#### fNonNSScanner

    protected XMLDocumentScannerImpl fNonNSScanner

Default Xerces implementation of scanner

#### fNonNSDTDValidator

    protected XMLDTDValidator fNonNSDTDValidator

DTD Validator that does not bind namespaces

### Constructor Detail

#### IntegratedParserConfiguration

    public IntegratedParserConfiguration()

Default constructor.

#### IntegratedParserConfiguration

    public IntegratedParserConfiguration(SymbolTable symbolTable)

Constructs a parser configuration using the specified symbol table.

Parameters:
  `symbolTable` - The symbol table to use.

#### IntegratedParserConfiguration

    public IntegratedParserConfiguration(SymbolTable symbolTable,
                                         org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

Constructs a parser configuration using the specified symbol table and grammar pool.

REVISIT: Grammar pool will be updated when the new validation engine is implemented.

Parameters:
  `symbolTable` - The symbol table to use.
  `grammarPool` - The grammar pool to use.

#### IntegratedParserConfiguration

    public IntegratedParserConfiguration(SymbolTable symbolTable,
                                         org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                                         org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

REVISIT: Grammar pool will be updated when the new validation engine is implemented.

Parameters:
  `symbolTable` - The symbol table to use.
  `grammarPool` - The grammar pool to use.
  `parentSettings` - The parent settings.

### Method Detail

#### configurePipeline

    protected void configurePipeline()

Configures the pipeline.

Overrides:
  `configurePipeline` in class `StandardParserConfiguration`

#### createDocumentScanner

    protected org.apache.xerces.xni.parser.XMLDocumentScanner createDocumentScanner()

Create a document scanner: this scanner performs namespace binding

Overrides:
  `createDocumentScanner` in class `DTDConfiguration`

#### createDTDValidator

    protected XMLDTDValidator createDTDValidator()

Create a DTD validator: this validator performs namespace binding.

Overrides:
  `createDTDValidator` in class `DTDConfiguration`